Skip to main content
GET
SearchRequestableConnectors

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

user_id
string
required

The user the requestable set is scoped to.

Query Parameters

grant_enrollment_status
enum<string>

Filters by whether the user already holds the connector's tools. UNSPECIFIED = all, FULLY_GRANTED = held, NOT_GRANTED = available.

Available options:
GRANT_ENROLLMENT_STATUS_UNSPECIFIED,
GRANT_ENROLLMENT_STATUS_FULLY_GRANTED,
GRANT_ENROLLMENT_STATUS_NOT_GRANTED,
GRANT_ENROLLMENT_STATUS_PARTIALLY_GRANTED
page_size
integer<int32>

Page size (max 100).

page_token
string

Page token for pagination.

query
string

Case-insensitive search over the connector display name.

Response

200 - application/json

MCPAccessProfileServiceSearchRequestableConnectorsResponse returns one page of card-ready requestable-connector entries.

MCPAccessProfileServiceSearchRequestableConnectorsResponse returns one page of card-ready requestable-connector entries.

list
Requestable Connector View · object[] | null

The page of connector cards.

nextPageToken
string

Token for next page.